Part Spiral/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "Beispiel:")
 
(19 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}


{{Docnav
{{Docnav/de
|[[Part_Helix|Helix]]
|[[Part_Helix/de|Helix]]
|[[Part_Circle|Circle]]
|[[Part_Circle/de|Kreis]]
|[[Part_Module|Part]]
|[[Part_Workbench/de|Part]]
|IconL=Part_Helix.svg
|IconL=Part_Helix.svg
|IconR=Part_Circle.svg
|IconR=Part_Circle.svg
Line 11: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/de
{{GuiCommand/de
|Name=Part Spirale
|Name=Part Spiral
|Name/de=Part Spirale
|MenuLocation=[[Part_Module/de|Formteil]] → [[Part_CreatePrimitives/de|Grundkörper erstellen...]] → Spirale
|MenuLocation=Formteil → [[Part_Primitives/de|Grundkörper erstellen...]] → Spirale
|Workbenches=[[Part Module/de|Part]]
|Workbenches=[[Part_Workbench/de|Part]], [[OpenSCAD_Workbench/de|OpenSCAD]]
|Version=0.14
|Version=0.14
|SeeAlso=[[Part_CreatePrimitives/de|Grundkörper erstellen]]
|SeeAlso=[[Part_Primitives/de|Part Grundelemente]]
}}
}}
</div>


== Beschreibung ==
== Beschreibung ==

Eine [[Image:Part_Spiral.svg|24px]] '''Part Spirale''' ist ein parametrischer Volumenkörper, der mit dem Befehl [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/de|Part Grundelemente]] erstellt werden kann. Im Koordinatensystem durch ihre {{PropertyData/de|Placement}} festgelegt, liegt die Spirale auf der XY-Ebene mit ihrem Mittelpunkt im Ursprung und ihrem Startpunkt auf der X-Achse. Sie öffnet sich gegen den Uhrzeigersinn.

[[Image:Part_Spiral_Example.png|400px]]


== Anwendung ==
== Anwendung ==


Siehe [[Part_Primitives/de#Anwendung|Part Grundelemente]].
<div class="mw-translate-fuzzy">
Der Grundkörper erstellen Dialog kann über das [[Part_CreatePrimitives/de|ErstelleGrundkörper]] Symbol [[Image:Part_CreatePrimitives.svg|32px]] im Part Menü oder in der Part Werkzeugleiste im Part Arbeitsbereich aufgerufen werden.
</div>


==Beispiel==
Translations:Part Spiral/3/de
[[File:SpiralDefault_it.png]]


[[Image:Part_Spiral_Scripting_Example.png|thumb|Part-Spirale aus dem Skriptbeispiel]]
[[File:Spiral_x45_it.png]]


Ein Part-Spirale-Objekt, das mit dem [[#Skripten|Skriptbeispiel]] weiter unten erzeugt wurde wird hier dargestellt.
[[File:Spiral_y45_it.png]]

==Eigenschaften==

Siehe auch: [[Property_editor/de|Eigenschafteneditor]].

Ein Part-Spirale-Objekt wird von einem [[Part_Feature/de|Part-Formelement]] abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

===Daten===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Spiral}}

* {{PropertyData|Growth|Length}}: The distance between two consecutive turns of the spiral. The default is {{Value|1mm}}.
* {{PropertyData|Radius|Length}}: The start radius of the spiral, the distance between its center and its start point. Can be {{Value|0mm}}. The default is {{Value|1mm}}.
* {{PropertyData|Rotations|QuantityConstraint}}: The number of rotations, or turns, of the spiral. The default is {{Value|2}}.
* {{PropertyData|Segment Length|QuantityConstraint}}: The number of turns per spiral subdivision. The default is {{Value|1}}, meaning each full turn of the spiral is a separate segment. Use {{Value|0}} to suppress subdivision.

==Skripten==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Spiral can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
}}

* Where {{Incode|"mySpiral"}} is the name for the object.
* The function returns the newly created object.

Beispiel:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

spiral = doc.addObject("Part::Spiral", "mySpiral")
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
spiral.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}




{{Docnav
{{Docnav/de
|[[Part_Helix|Helix]]
|[[Part_Helix/de|Helix]]
|[[Part_Circle|Circle]]
|[[Part_Circle/de|Kreis]]
|[[Part_Module|Part]]
|[[Part_Workbench/de|Part]]
|IconL=Part_Helix.svg
|IconL=Part_Helix.svg
|IconR=Part_Circle.svg
|IconR=Part_Circle.svg
Line 46: Line 93:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 15:11, 20 April 2022

Part Spirale

Menüeintrag
Formteil → Grundkörper erstellen... → Spirale
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Spirale ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, liegt die Spirale auf der XY-Ebene mit ihrem Mittelpunkt im Ursprung und ihrem Startpunkt auf der X-Achse. Sie öffnet sich gegen den Uhrzeigersinn.

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Spirale aus dem Skriptbeispiel

Ein Part-Spirale-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Spirale-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Spiral

  • DatenGrowth (Length): The distance between two consecutive turns of the spiral. The default is 1mm.
  • DatenRadius (Length): The start radius of the spiral, the distance between its center and its start point. Can be 0mm. The default is 1mm.
  • DatenRotations (QuantityConstraint): The number of rotations, or turns, of the spiral. The default is 2.
  • DatenSegment Length (QuantityConstraint): The number of turns per spiral subdivision. The default is 1, meaning each full turn of the spiral is a separate segment. Use 0 to suppress subdivision.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Spiral can be created with the addObject() method of the document:

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where "mySpiral" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

spiral = doc.addObject("Part::Spiral", "mySpiral")
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
spiral.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()